/*
 * link.c
 */


#include<sys/types.h>
#include<errno.h>


extern int _link(const char *oldpath, const char *newpath);


int link(const char *oldpath, const char *newpath)
{
	int rest;


	if ((*oldpath == '\0') || (*newpath == '\0'))
		return _error(ENOENT);

	return _link(oldpath,newpath);
}
